Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039831
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Discounts Combomajoralways2018-12-18 13:072019-01-15 15:11
ReporteranderarangurenView Statuspublic 
Assigned Torqueralta 
PriorityurgentResolutionfixedFixed in VersionRR19Q2
StatusclosedFix in branchFixed in SCM revision5e39e94c610c
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039831: Combo discount is not applied to a line if the family is configured as Fixed Price with the same price of the product to be ap.

DescriptionCombo discount is not applied to a line if the family is configured as Fixed Price with the same price of the product to be applied
Steps To ReproduceGo to Discounts and Promotions and edit the Torch and Backpack Combo:
In family tab select torches and set Discount type as Fixed Price and set 25.00.
Go to the WebPOS and add the combo selecting Torch CB1
As the Price of the Torch is the same as the fixed price, the combo will not be applied to this line.
TagsNo tags attached.
Attached Filespng file icon combo.png [^] (184,461 bytes) 2018-12-18 13:07

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0040082 closedranjith_qualiantech_com The Discount per Unit is wrong calculated in Discount and Promotions line of orderline when doing a order with a Combo 

-  Notes
(0108870)
hgbot (developer)
2019-01-09 15:40

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 5e39e94c610c6f82517a17610fecc0d4d291c5a8
Author: Rafael Queralta <rafaelcuba81 <at> gmail.com>
Date: Wed Dec 26 11:19:15 2018 -0500
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/5e39e94c610c6f82517a17610fecc0d4d291c5a8 [^]

Fixed issue 39831: Combo discount is not applied to a line if the family is
configured as Fixed Price with the same price of the product to be ap

- Removed the restriction that avoid save discounts lines with value 0.

---
M src/org/openbravo/retail/posterminal/OrderLoader.java
---
(0108871)
hgbot (developer)
2019-01-09 15:41

Repository: tools/automation/pi-mobile
Changeset: 862f61e2a8755db579ab905b8e48855323639f68
Author: Alejandro <alekosmp86 <at> gmail.com>
Date: Tue Jan 08 15:48:55 2019 -0500
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/862f61e2a8755db579ab905b8e48855323639f68 [^]

Related to issue 39831: Some tests have been refactored in order to verify this
fix's solution.

---
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/discountsandpromotions/Communit6781_BuyXPayYSameProduct.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/discountsandpromotions/Communit6782_BuyXPayYDifferentProductCheapest_I.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/discountsandpromotions/Communit6782_BuyXPayYDifferentProductCheapest_II.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/discountsandpromotions/Communit6785_BuyXGetYGiftNotDistributed.java
---
(0108964)
hgbot (developer)
2019-01-15 15:11

Repository: tools/automation/pi-mobile
Changeset: aa7199bbd129dbee2a5bfbcfd6f192a88535725e
Author: Alejandro <alekosmp86 <at> gmail.com>
Date: Mon Jan 14 15:23:51 2019 -0500
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/aa7199bbd129dbee2a5bfbcfd6f192a88535725e [^]

Related to issue 39831: added automated test

---
A src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/discounts_combo/I39831_VerifyComboFixedPriceDiscountAppliedToProductWithSamePrice.java
---

- Issue History
Date Modified Username Field Change
2018-12-18 13:07 anderaranguren New Issue
2018-12-18 13:07 anderaranguren Assigned To => Retail
2018-12-18 13:07 anderaranguren File Added: combo.png
2018-12-18 13:07 anderaranguren Triggers an Emergency Pack => No
2018-12-18 15:17 rqueralta Assigned To Retail => rqueralta
2018-12-24 18:35 rqueralta Status new => scheduled
2019-01-09 15:40 hgbot Checkin
2019-01-09 15:40 hgbot Note Added: 0108870
2019-01-09 15:40 hgbot Status scheduled => resolved
2019-01-09 15:40 hgbot Resolution open => fixed
2019-01-09 15:40 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/5e39e94c610c6f82517a17610fecc0d4d291c5a8 [^]
2019-01-09 15:41 hgbot Checkin
2019-01-09 15:41 hgbot Note Added: 0108871
2019-01-11 09:09 marvintm Review Assigned To => marvintm
2019-01-11 09:09 marvintm Status resolved => closed
2019-01-11 09:09 marvintm Fixed in Version => RR19Q2
2019-01-15 15:11 hgbot Checkin
2019-01-15 15:11 hgbot Note Added: 0108964
2019-02-04 16:35 anderaranguren Relationship added related to 0040082


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker